dep:Go依赖管理工具安装指南

介绍

dep是Go的依赖管理工具。它需要Go 1.9或更新版本才能编译。
使用dep可以快捷的拉取go项目的一些依赖包。
dep官方地址:https://github.com/golang/dep

使用的前请确保已经正确配置好了go语言环境,如未安装go,请参考:

安装

方法1:

UbuntuDebian可以使用sudo apt-get install go-dep命令来快捷安装,CentOS不适用。

方法2:

使用官方一键脚本安装
curl https://raw.githubusercontent.com/golang/dep/master/install.sh | sh

方法3:

使用go命令安装(推荐)
go get -u github.com/golang/dep/cmd/dep

注意

以上三种方法,dep安装成功之后默认路径都在go语言环境的gopath目录之下的bin文件里,请添加gopath目录下bin文件为系统环境变量,否则会出现command not found,环境变量配置请参考本文开头引用的go环境配置一文。

验证

在任意目录下执行命令dep,出现下图结果则安装正常,否则请参考注意部分的内容。
dep命令

Last modification:April 14th, 2019 at 12:45 am
^_^您的每一分钱,都是对我最大的鼓励!

Leave a Comment